<?php
/**
 * Carerix Wordpress Plugin
 *
 * @category template manager
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Aug 26, 2013 10:05:48 AM
 * @version $Rev$
 */

/**
 * Admin_Settings class
 * Used to ....
 */
class Admin_General extends WP_Page {
	
	protected $interfacer = null;
	
	public function __construct() {
		$this->interfacer = WP_Interfacer::getInstance();
	}

	public function getCapability() {
		return WP_Constants::CAPABILITY_ADMIN;
	}

	public function getMenuSlug() {
		return 'carerix_general_page';
	}

	public function getMenuTitle() {
		return 'Settings';
	}

	public function getPageTitle() {
		return 'Settings';
	}
	
	public function page()
	{
		if($this->hasTabs())
		{
			parent::tabbed_page();
			return;
		}
	}
}

