<?php
    $labels = Utils_Labels::get();
    
    echo $widget_args['before_widget'];

    if (!(empty($title))) {
        echo $widget_args['before_title'] . $field_settings['title']['value'] . $widget_args['after_title'];
    }
?>
<p>
    <label class="cx-search-widget-title" for='<?php echo $field_settings['title']['id']; ?>'> <?php echo $labels['general.message.field.title']; ?>:</label>
    <input type='text' class='widefat' id='<?php echo $field_settings['title']['id']; ?>' name='<?php echo $field_settings['title']['name']; ?>' value='<?php echo $field_settings['title']['value']; ?>'/>
</p>
<p>
    <div class="cx-search-widget-title">Additional fields: </div>
    <label><input type='checkbox' name='<?php echo $field_settings['number']['name']; ?>' <?php echo ($field_settings['number']['value'] ? 'checked': ''); ?>/> <?php echo $labels['CxPortal.message.field.number']; ?></label><br />
    <label><input type='checkbox' name='<?php echo $field_settings['search_by_radius']['name']; ?>' <?php echo ($field_settings['search_by_radius']['value'] ? 'checked': ''); ?>/> <?php echo $labels['CxPortal.message.field.searchByRadiusFromPostalCode']; ?></label><br />
    <label><input type='checkbox' name='<?php echo $field_settings['country']['name']; ?>' <?php echo ($field_settings['country']['value'] ? 'checked': ''); ?>/> <?php echo $labels['general.message.field.country']; ?></label><br />
    <label><input id='<?php echo $field_settings['functiongroup']['id']; ?>' type='checkbox' name='<?php echo $field_settings['functiongroup']['name']; ?>' <?php echo ($field_settings['functiongroup']['value'] ? 'checked': ''); ?>/> <?php echo $labels['CxPortal.message.field.singleFunctionGroup']; ?></label>
    <label class="cx-search-widget-subitem" style='<?php if (!$field_settings['functiongroup']['value']) { echo 'display: none'; } ?>'><input id='<?php echo $field_settings['functiongroupsort']['id']; ?>' type='checkbox' name='<?php echo $field_settings['functiongroupsort']['name']; ?>' <?php echo ($field_settings['functiongroupsort']['value'] ? 'checked': ''); ?>/> <?php echo $labels['general.message.field.singleFunctionGroupSortAlpha']; ?></label>
</p>
<script>
    (function () {
        var functionGroup = document.getElementById('<?php echo $field_settings['functiongroup']['id']; ?>'),
            functionGroupSort = document.getElementById('<?php echo $field_settings['functiongroupsort']['id']; ?>');
            
            
            functionGroup.onchange = function () {
                functionGroupSort.parentNode.style.display = this.checked ? 'block' : 'none';
            }
    }());
</script>
<?php
    echo $widget_args['after_widget'];
?>

