<form method="post" class="undoable">
<?php wp_nonce_field('source_edit', '_carerix_nonce_field'); ?>
<input type="hidden" value="<?php echo @$edit_data['id']; ?>" name="id" id="source_id">
<div class="wrap">
	<div id="icon-edit-pages" class="icon32 icon32-posts-page"><br></div>
	<h2>Add New People Source</h2>
	

		<div class="carerix_msgBox carerix_error" id="sync_error_message" style="display: none;">
			The People feed can not be reached on <?php echo Environment_Installation::getAppName(); ?>.carerix.com/cxtools . Check that the application name was corretly set. If the problem persists please inform your Carerix Administrator 
		</div>


		<div class="carerix_msgBox carerix_ok" id="success_message" style="display: none;">
			The People source was succesfully saved. 
			<?php if(@$edit_data['id']): ?>
				The page was updated.
			<?php else: ?>
				A new page was created.
			<?php endif; ?>
		</div>

	
	<div class="carerix_msgBox carerix_note">
	 Fill the name of the page and click Save. Optional you can add more parameters to the feed source or enable more options for the People page. The page will be immediately available in your Pages menu.
</div>
	
	<div id="poststuff">
		<div id="post-body" class="metabox-holder columns-2">
			<div id="post-body-content">
				<div id="titlediv">
					<div id="titlewrap">
						<h2>Page Name</h2>
						<input type="text" name="name" value="<?php echo @$edit_data['name']; ?>" size="30" id="title" autocomplete="off" class="<?php if(@$title_error) echo "carerix_field_error"; ?>">
						
							<p style="display: none;" id="title_error_message" class="carerix_field_error">The page name is mandatory</p>
						
					</div>
				</div>
				<div class="section">
					<h2>Set Feed Source Parameters</h2>
					<h3 style="display: inline-block;"><?php echo Environment_Installation::get_people_feed();?>?</h3>
					<input type="text" name="feed" size="30" autocomplete="off" style="padding: 3px 8px; font-size: 1.7em; display: inline-block; line-height: 100%; outline: none;" value="<?php echo @$edit_data['settings']['feed'] ; ?>"> 
				</div>
				
				<div class="section">
					<h2>Page intro text</h2>
					<?php wp_editor( @$edit_data['settings']['introtext'], "introtext" ); ?>
				</div>
				
				<div class="section">
					
				</div>
			</div>

		<div>
			<div class="carerix_msgBox carerix_note">
	 The synchronization with Carerix process will start after clicking Save. This might take few seconds. Do not close this page until the confirmation message is displayed.
            </div>
            <button name="save" id="save" class="button button-primary button-large"><i class="fa fa-refresh fa-spin wait" style="display: none;"></i> Save</button>
            <a href="<?php echo $cancel_link; ?>" class="button button-large right">Cancel</a>
		</div>
		</div>
		
	</div>
	
</div>
	
</form>

<script type="text/javascript">
    jQuery(document).ready(function(e){
        $ = jQuery;
        $("#save").click(function(e){
           e.preventDefault();
           $("#success_message").hide();
           $("#sync_error_message").hide();
           $("#title_error_message").hide();
           $('#title').removeClass('carerix_field_error');
           var self = this;
           
           var introText = '';
           if($('#introtext').css('display') == 'none') {
               introText = tinyMCE.activeEditor.getContent();
           } else {
               introText = $('#introtext').val();
           }
           
           $("#introtext").val(introText);
           var $data = $("form.undoable").serialize();
           var url = ajaxurl + '?' +$data;
           
           var spinner = $(self).find('.wait').show();
           $(self).attr('disabled', 'disabled');
           
           var data = {
               action: 'save_source',
               type: 'people'
           };
           
           $.post(url, data, function(response, status, jqXHR){
               spinner.hide();
               $(self).removeAttr('disabled');
               if(response['success']) {
                   $("#source_id").val(response["id"]);
                   
                   var success = $("#success_message");
                   success.fadeIn();
                   var offset = success.offset();
                   offset.left -= 40;
                   offset.top -= 40;
                   
                   $('html, body').animate({
                       scrollTop: offset.top,
                       scrollLeft: offset.left
                   });
                   $("form.undoable").data("changed", false);
               }
               
               if(response['sync_error']) {
                   var sync_error = $("#sync_error_message");
                   sync_error.fadeIn();
                   var offset = sync_error.offset();
                   offset.left -= 40;
                   offset.top -= 40;
                   
                   $('html, body').animate({
                       scrollTop: offset.top,
                       scrollLeft: offset.left
                   });
               }
               
               if(response['title_error']) {
                   var title_error = $("#title_error_message");
                   title_error.fadeIn();
                   $('#title').addClass('carerix_field_error');
                   var offset = $('#title').offset();
                   offset.left -= 100;
                   offset.top -= 100;
                   
                   $('html, body').animate({
                       scrollTop: offset.top,
                       scrollLeft: offset.left
                   });
               }
               
           }, 'json');
           
           return false;
        });
    });
</script>